|  | Home · All Classes · Modules

# QTextObject Class Reference
[QtGui module]

The QTextObject class is a base class for different kinds of objects that can group parts of a QTextDocument together. More...

Inherits QObject.

Inherited by QTextBlockGroup and QTextFrame.

### Methods

- __init__ (self, QTextDocument)
- QTextDocument document (self)
- QTextFormat format (self)
- int formatIndex (self)
- int objectIndex (self)
- setFormat (self, QTextFormat)

## Detailed Description

The QTextObject class is a base class for different kinds of objects that can group parts of a QTextDocument together.

The common grouping text objects are lists (QTextList), frames (QTextFrame), and tables (QTextTable). A text object has an associated format() and document().

There are essentially two kinds of text objects: those that are used with blocks (block formats), and those that are used with characters (character formats). The first kind are derived from QTextBlockGroup, and the second kind from QTextFrame.

You rarely need to use this class directly. When creating custom text objects, you will also need to reimplement QTextDocument.createObject() which acts as a factory method for creating text objects.

See also QTextDocument and Text Object Example.

## Method Documentation

### QTextObject.__init__ (self, QTextDocument)

Creates a new QTextObject for the given document.

Warning: This function should never be called directly, but only from QTextDocument.createObject().

### QTextDocument QTextObject.document (self)

Returns the document this object belongs to.

See also format().

### QTextFormat QTextObject.format (self)

Returns the text object's format.

See also setFormat() and document().

### int QTextObject.formatIndex (self)

Returns the index of the object's format in the document's internal list of formats.

See also QTextDocument.allFormats().

### int QTextObject.objectIndex (self)

Returns the object index of this object. This can be used together with QTextFormat.setObjectIndex().

### QTextObject.setFormat (self, QTextFormat)

Sets the text object's format.

See also format().